pidgin: gntft.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
gntft.h File Reference
Finch (GNT User Interface)

GNT File Transfer UI. More...

`#include "ft.h"`

Go to the source code of this file.

## Functions
GNT File Transfer Dialog API <br>
void | finch_xfer_dialog_new (void)
| Creates a new file transfer dialog.
void | finch_xfer_dialog_destroy (void)
| Destroys a file transfer dialog.
void | finch_xfer_dialog_show (void)
| Displays the file transfer dialog given.
void | finch_xfer_dialog_hide (void)
| Hides the file transfer dialog.
void | finch_xfer_dialog_add_xfer (PurpleXfer *xfer)
| Adds a file transfer to the dialog.
void | finch_xfer_dialog_remove_xfer (PurpleXfer *xfer)
| Removes a file transfer from the dialog.
void | finch_xfer_dialog_cancel_xfer (PurpleXfer *xfer)
| Indicate in a file transfer dialog that a transfer was cancelled.
void | finch_xfer_dialog_update_xfer (PurpleXfer *xfer)
| Updates the information for a transfer in the dialog.
GNT File Transfer API <br>
void | finch_xfers_init (void)
| Initializes the GNT file transfer system.
void | finch_xfers_uninit (void)
| Uninitializes the GNT file transfer system.
PurpleXferUiOps * | finch_xfers_get_ui_ops (void)
| Returns the UI operations structure for the GNT file transfer UI.

## Detailed Description

GNT File Transfer UI.

Definition in file gntft.h.

## Function Documentation

## ◆ finch_xfer_dialog_add_xfer()

void finch_xfer_dialog_add_xfer | ( | PurpleXfer * | xfer | ) |

Adds a file transfer to the dialog.

Parameters

  xfer | The file transfer.

## ◆ finch_xfer_dialog_cancel_xfer()

void finch_xfer_dialog_cancel_xfer | ( | PurpleXfer * | xfer | ) |

Indicate in a file transfer dialog that a transfer was cancelled.

Parameters

  xfer | The file transfer that was cancelled.

## ◆ finch_xfer_dialog_new()

void finch_xfer_dialog_new | ( | void |  | ) |

Creates a new file transfer dialog.

Returns
  The new dialog.

## ◆ finch_xfer_dialog_remove_xfer()

void finch_xfer_dialog_remove_xfer | ( | PurpleXfer * | xfer | ) |

Removes a file transfer from the dialog.

Parameters

  xfer | The file transfer.

## ◆ finch_xfer_dialog_show()

void finch_xfer_dialog_show | ( | void |  | ) |

Displays the file transfer dialog given.

If dialog is `NULL`, displays the default dialog, creating one if necessary

## ◆ finch_xfer_dialog_update_xfer()

void finch_xfer_dialog_update_xfer | ( | PurpleXfer * | xfer | ) |

Updates the information for a transfer in the dialog.

Parameters

  xfer | The file transfer.

## ◆ finch_xfers_get_ui_ops()

PurpleXferUiOps * finch_xfers_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure for the GNT file transfer UI.

Returns
  The GNT file transfer UI operations structure.